import 'package:customer_service/src/presentation/customer_service_screen.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class CustomerServiceBuilder {
  const CustomerServiceBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: CustomerServiceScreen(navigationContract: navigationContract),
    );
  }
}
